Skip to main content
`Ctrl`+`K`

# SNESMonitor

runs any `SNES` monitor routines provided with `SNESMonitor()` or the options database

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESMonitor(SNES snes, PetscInt iter, PetscReal rnorm)

Collective

## Input Parameters

- snes - nonlinear solver context obtained from `SNESCreate()`

- iter - current iteration number

- rnorm - current relative norm of the residual

## Note

This routine is called by the `SNESSolve()` implementations. It does not typically need to be called by the user.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMonitorSet()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages